Index: tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 3124)
+++ tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 3125)
@@ -2327,7 +2327,6 @@
 		// FIXME: SJ: see if this skipComputing tests is still useful? is it possible to directly returns instead?
 		boolean skipComputing = false;
 		
-		
 		try {
 			// compute the parent if needed
 			if (this.parent != null && !(this.parent instanceof Project) && !(this.parent instanceof Workspace)
@@ -2506,8 +2505,8 @@
 		catch (Exception e) {
 			// set result and its children as canceled
 			this.resetComputingState();
-			e.printStackTrace();
-			Log.severe(TXMCoreMessages.bind("TXMResult.compute(): Exception occurs during computing: {0}.", e));
+			Log.warning(TXMCoreMessages.bind("An error occurs during computing: {0}.", e.getMessage()));
+			Log.printStackTrace(e);
 			this.computing = false;
 			return false;
 		}
@@ -2519,9 +2518,8 @@
 			mainSubMonitor.subTask(this.getComputingDoneMessage());
 		}
 		catch (Exception e) {
-			// TODO Auto-generated catch block
-			e.printStackTrace();
 			Log.severe("Error while retrieving the result computing done message."); //$NON-NLS-1$
+			Log.printStackTrace(e);
 		}
 		
 		this.computing = false;
Index: tmp/org.txm.core/src/java/org/txm/importer/scripts/xmltxm/Xml2Ana.groovy
===================================================================
--- tmp/org.txm.core/src/java/org/txm/importer/scripts/xmltxm/Xml2Ana.groovy	(revision 3124)
+++ tmp/org.txm.core/src/java/org/txm/importer/scripts/xmltxm/Xml2Ana.groovy	(revision 3125)
@@ -58,42 +58,42 @@
 {
 	/** The dir. */
 	private def dir;
-	
+
 	/** The convert all attributes. */
 	private boolean convertAllAttributes = false;
-	
+
 	/** The corresp type. */
 	HashMap<String,String> correspType;
-	
+
 	/** The corresp ref. */
 	HashMap<String,String> correspRef;
-	
+
 	/** The check tags. */
 	HashMap<String,Boolean> checkTags = new HashMap<String,Boolean>();
-	
+
 	/** The resp id. */
 	def respId = [];
-	
+
 	/** The applications. */
 	HashMap<String,File> applications;
-	
+
 	/** The taxonomies. */
 	HashMap<String,String[]> taxonomies;
-	
+
 	/** The resps. */
 	HashMap<String,String[]> resps;
-	
+
 	/** The items. */
 	HashMap<String,HashMap<String,String>> items;
-	
+
 	/** The XML headeradded. */
 	boolean XMLHeaderadded = false;
 	String textname;
 	String wtag = "w";
-	
+
 	public static final String TEXT = "text"
 	public static final String ID = "id"
-	
+
 	/**
 	 * Instantiates a new xml2 ana.
 	 *
@@ -107,15 +107,15 @@
 		int idx = textname.lastIndexOf(".");
 		if (idx > 0)
 			textname = textname.substring(0, idx)
-		
-		
+
+
 		checkTags.put("respStmt",false);
 		checkTags.put("titleStmt",false);
 		checkTags.put("appInfo",false);
-		
+
 		hasText = new HasElement(file, TEXT).process();
 	}
-	
+
 	/**
 	 * Sets the convert all atrtibutes.
 	 *
@@ -125,7 +125,7 @@
 	public setConvertAllAtrtibutes(boolean value) {
 		convertAllAttributes = value;
 	}
-	
+
 	/**
 	 * Sets the convert all atrtibutes.
 	 *
@@ -135,7 +135,7 @@
 	public setWordTag(String wtag) {
 		this.wtag = wtag
 	}
-	
+
 	int idcount = 0;
 	boolean flagWord = false;
 	int firstElement = 0;
@@ -149,11 +149,11 @@
 		//		println "checkTags=$checkTags";
 		//		println "parser=$parser";
 		firstElement++;
-		
+
 		if (this.checkTags.containsKey(parser.getLocalName())) {
 			this.checkTags.put(parser.getLocalName(), true);
 		}
-		
+
 		switch (parser.getLocalName()) {
 			case wtag:
 				if (!hasText) {
@@ -164,12 +164,12 @@
 				}
 				idcount++; // increment word counter
 				anabalises.clear();
-			
+
 				writer.writeStartElement(parser.getLocalName()); // write w
-			
+
 				for (int i = 0 ; i < parser.getNamespaceCount() ; i++) // write namespaces
 					writer.writeNamespace(parser.getNamespacePrefix(i), parser.getNamespaceURI(i));
-			
+
 				for (int i= 0 ; i < parser.getAttributeCount() ;i++ ) { // transform attributes
 					String type = parser.getAttributeLocalName(i);
 					String value = parser.getAttributeValue(i);
@@ -190,11 +190,11 @@
 						//						else {
 						//							wordid = "w_"+textname+"_"+wordid;
 						//						}
-						
+
 						wordid = AsciiUtils.buildWordId(wordid); // remove characters not compatible with the id attribute value
-						
+
 						writer.writeAttribute(type, wordid);
-						
+
 					} else { // add attributes that was in the original <w>
 						if (convertAllAttributes)
 							anabalises.add(["#src", "#"+type, value])
@@ -202,11 +202,11 @@
 							writer.writeAttribute(type, value);
 					}
 				}
-			
+
 				flagWord = true; // start to capture the form
 				writer.writeStartElement(TXMNS, "form");
 				break;
-			
+
 			case "TEI":
 				super.processStartElement();
 				boolean hasTeiNS = false;
@@ -223,13 +223,13 @@
 				if (!hasTXMNs)
 					writer.writeNamespace(TXM, TXMNS);
 				break;
-			
+
 			default:
-			
+
 				if (TEXT.equals(localname)) {
 					hasText = true;
 				}
-			
+
 				if (firstElement == 1) { // test if first element is TEI
 					//println "first tag: "+parser.getLocalName()
 					if (localname != "TEI") { // "TEI" is missing
@@ -255,7 +255,7 @@
 					textElementAdded = true;
 					hasText = true;
 				}
-			
+
 				super.processStartElement();
 				if (TEXT.equals(localname)) {
 					if (!parser.getAttributeValue(null, ID)) {
@@ -264,9 +264,8 @@
 				}
 		}
 	}
-	
-	protected void after()
-	{
+
+	protected void after() {
 		if (textElementAdded) {
 			writer.writeEndElement(); // text
 		}
@@ -275,7 +274,7 @@
 		}
 		super.after(); // close writer, parser, etc
 	}
-	
+
 	protected void addTEIElement()
 	{
 		writer.writeStartElement("TEI");
@@ -284,8 +283,8 @@
 		writer.writeNamespace(TEI, TEINS);
 		writeTeiHeader();
 	}
-	
-	protected void processCharacters()
+
+	protected void processCharacters() 
 	{
 		if (flagWord) {
 			writer.writeCharacters(parser.getText().trim()); // keep form in 1 line
@@ -293,7 +292,7 @@
 			super.processCharacters();
 		}
 	}
-	
+
 	boolean hasClassDecl = false;
 	boolean hasFileDesc = false;
 	boolean hasEncodingDesc = false;
@@ -315,15 +314,15 @@
 					writer.writeCharacters(values[2]);
 					writer.writeEndElement(); // txm:ana
 				}
-			
+
 				flagWord = false;
 				break;
-			
+
 			case "fileDesc":
 				hasFileDesc = true;
 				this.writeTXMResps();
 				break;
-			
+
 			case "classDecl":
 				hasClassDecl=true;
 				this.writeTXMTaxonomies();
@@ -332,7 +331,7 @@
 				hasEncodingDesc = true;
 				writeContentOfEncodingDesc();
 				break;
-			
+
 			case "teiHeader":
 				hasTeiHeader = true
 				if (!hasEncodingDesc) {
@@ -340,7 +339,7 @@
 					writeContentOfEncodingDesc();
 					writer.writeEndElement();
 				}
-			
+
 				break;
 			case "TEI":
 				hasTEI = true;
@@ -349,10 +348,10 @@
 				}
 				break;
 		}
-		
+
 		super.processEndElement();
 	}
-	
+
 	protected void writeTeiHeader()
 	{
 		writer.writeStartElement("teiHeader");
@@ -372,7 +371,7 @@
 		writer.writeEndElement(); // encodingDesc
 		writer.writeEndElement(); // teiHeader
 	}
-	
+
 	protected void writeContentOfEncodingDesc()
 	{
 		writer.writeStartElement("appInfo")
@@ -384,7 +383,7 @@
 			writer.writeEndElement(); // classDecl
 		}
 	}
-	
+
 	/**
 	 * Check resp.
 	 *
@@ -397,7 +396,7 @@
 			rez += "\t"+key+"\n";
 		return rez;
 	}
-	
+
 	/**
 	 * Sets the correspondances.
 	 *
@@ -409,7 +408,7 @@
 		this.correspRef = correspRef;
 		this.correspType = correspType;
 	}
-	
+
 	/**
 	 * Sets the header infos.
 	 *
@@ -427,7 +426,7 @@
 		this.taxonomies = taxonomies;
 		this.items = items;
 	}
-	
+
 	/**
 	 * Write txm resps.
 	 */
@@ -451,7 +450,7 @@
 			writer.writeEndElement(); //respStmt
 		}
 	}
-	
+
 	/**
 	 * Write txm apps.
 	 */
@@ -462,12 +461,12 @@
 			String ident = list.get(0);
 			String version = list.get(1);
 			File report = list.get(2);
-			
+
 			writer.writeStartElement(TXMNS, "application");
 			writer.writeAttribute("ident", ident);
 			writer.writeAttribute("version", version);
 			writer.writeAttribute(RESP, ref);
-			
+
 			//get txm:commandLine from GeneratedReport
 			if (report != null) {
 				writer.writeCharacters("");writer.flush();
@@ -480,7 +479,7 @@
 				}
 				reader.close();
 			}
-			
+
 			writer.writeStartElement("ab");
 			writer.writeAttribute(TYPE, "annotation");
 			for (String item : taxonomies.get(ref)) {
@@ -494,7 +493,7 @@
 			writer.writeEndElement(); // txm:application
 		}
 	}
-	
+
 	/**
 	 * Write txm taxonomies.
 	 */
@@ -503,13 +502,13 @@
 		for (String tax : items.keySet()) {
 			writer.writeStartElement("taxonomy");
 			writer.writeAttribute(ID, tax);
-			
+
 			writer.writeStartElement("bibl");
 			writer.writeAttribute(TYPE, "tagset");
 			writer.writeStartElement("title");
 			writer.writeCharacters(tax);
 			writer.writeEndElement(); // title
-			
+
 			for (String type : items.get(tax).keySet()) {
 				writer.writeEmptyElement("ref");
 				writer.writeAttribute(TYPE, type);
@@ -519,51 +518,51 @@
 			writer.writeEndElement(); // taxonomy
 		}
 	}
-	
+
 	/**
 	 * The main method.
 	 *
 	 * @param args the arguments
 	 */
 	public static void main(String[] args) {
-		
+
 		String rootDir = "~/xml/rgaqcj/";
 		new File(rootDir+"anainline/").mkdir();
-		
+
 		ArrayList<String> milestones = new ArrayList<String>();
-		
+
 		String file = "roland-p5.xml";
 		String anafile = "roland-p5.xml";
-		
+
 		def correspType = new HashMap<String,String>()
 		// correspType(attribut word wlx, attribut type de la propriété ana du w txm)
 		correspType.put("p2","CATTEX2009");
-		
+
 		def correspRef = new HashMap<String,String>()
 		// correspRef (attribut word wlx, attribut ref de la propriété ana du w txm. ref pointe vers l'identifiant du respStmt du TEIheader)
 		correspRef.put("p2","ctx1");
-		
+
 		//il faut lister les id de tous les respStmt
 		def respId = ["ctx1"];//,"TT1", "TnT1"];
-		
+
 		//fait la correspondance entre le respId et le rapport d'execution de l'outil
 		def applications = new HashMap<String,HashMap<String,String>>();
 		applications.put("ctx1",new ArrayList<String>());
 		applications.get("ctx1").add("Oxygen");//app ident
 		applications.get("ctx1").add("9.3");//app version
 		applications.get("ctx1").add(null);//app report file path
-		
+
 		//fait la correspondance entre le respId et les attributs type de la propriété ana du w txm
 		//pour construire les ref vers les taxonomies
 		def taxonomiesUtilisees = new HashMap<String,String[]>();
 		taxonomiesUtilisees.put("ctx1",["CATTEX2009"]);//,"lemma","lasla","grace"]);
-		
+
 		//associe un id d'item avec sa description et son URI
 		def itemsURI = new HashMap<String,HashMap<String,String>>();
 		itemsURI.put("CATTEX2009",new HashMap<String,String>());
 		itemsURI.get("CATTEX2009").put("tagset","http://bfm.ens-lsh.fr/IMG/xml/cattex2009.xml");
 		itemsURI.get("CATTEX2009").put("website","http://bfm.ens-lsh.fr/article.php3?id_article=176");
-		
+
 		//informations de respStmt
 		//resps (respId <voir ci-dessus>, [description, person, date])
 		def resps = new HashMap<String,String[]>();
@@ -573,15 +572,15 @@
 			"2010-03-02",
 			"Tue Mar  2 21:02:55 Paris, Madrid 2010"
 		])
-		
+
 		//lance le traitement
 		def builder = new Xml2Ana(new File(rootDir+"/src/",file));
 		builder.setCorrespondances(correspRef, correspType);
 		builder.setHeaderInfos(respId,resps, applications, taxonomiesUtilisees, itemsURI)
 		//dossier de sortie + nom fichier sortie
 		builder.process(anafile);
-		
+
 		return
 	}
-	
+
 }
